%define NAME fp2100cupsdrv
%define VERSION 1.0.3
%define RELEASE 1
%define PREFIX /usr

Summary:	FIT FP-2100 Printer Driver for Linux.
Name:		%{NAME}
Version:	%{VERSION}
Release:	%{RELEASE}
License:	GPL
Group:		Applications/Publishing
Source:		%{NAME}-%{VERSION}.tar.gz
Vendor:		Fujitsu Isotec Limited
Packager:	Fujitsu Isotec Limited
BuildRoot:	%{_tmppath}/%{NAME}-%{VERSION}-%{RELEASE}-root
BuildArch:	amd64
 
%description
The fp2100 package is FIT FP-2100 Printer Driver for Linux.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} rpmbuild

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /etc/init.d/cups ]
then
    /etc/init.d/cups restart
    echo "Install Complete"
else
    echo "Could not restart CUPS. Please restart CUPS."
fi
exit 0

%files
%defattr(-,root,root)
%{PREFIX}/lib/cups/filter/rastertofp2100pos
%dir %{PREFIX}/share/cups/model/FIT/
%{PREFIX}/share/cups/model/FIT/fifp2100.ppd.gz

%changelog
* Tue Sep 30 2008 M.Sato
- Version 1.0.1. initial release
- Version 1.0.2. for CUPS Version 1.3
- Version 1.0.3. for CUPS Version 1.3/1.4
